// Base
import * as base from './_crud-base'

const path = '/api/v1/division-position'
const name = 'division-position'

export function create(data: any) {
  return base.create(path, data, name)
}

export function getList(params: any = null) {
  return base.getList(path, params, name)
}

export function getDetail(id: number | string) {
  return base.getDetail(path, id, name)
}

export function update(id: number | string, data: any) {
  return base.update(path, id, data, name)
}

export function remove(id: number | string) {
  return base.remove(path, id, name)
}
